Subject: Re: bug#659: Reportbug does not run with non-utf8 encodings anymore

From: Klaus Ethgen <[email-masked]>
Date: Sun, 30 Jan 2022 14:15:08 +0100

Hi Mark,

Am So den 30. Jan 2022 um 14:05 schrieb Mark Hindley:
> This appears to have been reported in Debian's BTS[1] and reassigned to
> python3-apt.

Ah, ok.

> Are you using de_DE@euro?

No. I live in a country that does not have Teuro. ;-)

> Does this reproduce?
>  
> > $ python3
> > >>> import locale
> > >>> locale.setlocale(locale.LC_ALL, "")
> > 'de_DE@euro'
> > >>> import apt
> > >>> c = apt.Cache()

For me that reproduce the bug. But the output is de_DE (without @euro).

But even with `LC_ALL=de_DE@euro python3` I get the error.

> > Setting LANG=de_DE@euro is not sufficient to trigger the problem, also
> > make sure LANGUAGE is not set.

I do not understand...

LANG is set to de_DE and LANGUAGE is set to de_DE:en on my system.

Regards
   Klaus
-- 
Klaus Ethgen                                       http://www.ethgen.ch/
pub  4096R/4E20AF1C 2011-05-16            Klaus Ethgen <[email-masked]>
Fingerprint: 85D4 CA42 952C 949B 1753  62B3 79D0 B06F 4E20 AF1C